<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="ID" name="mavros">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_3LVJAVBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_3LVJAlBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_T7frkG-0EeiX6ta975XXMg"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="ID_setpoint_velocity" name="setpoint_velocity">
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_setpoint_velocity_mavros/setpoint_velocity/cmd_vel" name="mavros/setpoint_velocity/cmd_vel" type="_3S2tUFBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_setpoint_velocity_mavros/setpoint_velocity/cmd_vel_unstamped" name="mavros/setpoint_velocity/cmd_vel_unstamped" type="_3S5JkVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_3LVJBFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_3S2tUFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_3S5JkVBAEeyolvKeZlZVSw"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_3S37cVBAEeyolvKeZlZVSw" client="_3S2tUFBAEeyolvKeZlZVSw">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_TwistStamped"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_3S6-wVBAEeyolvKeZlZVSw" client="_3S5JkVBAEeyolvKeZlZVSw">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_Twist"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJBVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJBlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJB1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJCFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJCVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJClBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJC1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJDFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJDVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJDlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJD1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJEFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJEVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJElBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJE1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJFFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJFVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJFlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_3LVJF1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_3LVJGFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_3LVJGVBAEeyolvKeZlZVSw" base_Package="ID" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_3LVJGlBAEeyolvKeZlZVSw" base_Class="ID_setpoint_velocity" isLifecycle="false"/>
  <robotics.parameters:Parameter xmi:id="_3LVJG1BAEeyolvKeZlZVSw" base_Class="_3LVJBFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_3S2GQFBAEeyolvKeZlZVSw" base_Port="ID_setpoint_velocity_mavros/setpoint_velocity/cmd_vel"/>
  <robotics.components:ComponentService xmi:id="_3S37cFBAEeyolvKeZlZVSw" base_Class="_3S2tUFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_3S5JkFBAEeyolvKeZlZVSw" base_Port="ID_setpoint_velocity_mavros/setpoint_velocity/cmd_vel_unstamped"/>
  <robotics.components:ComponentService xmi:id="_3S6-wFBAEeyolvKeZlZVSw" base_Class="_3S5JkVBAEeyolvKeZlZVSw"/>
</xmi:XMI>
